package cn.dg32z.lon.commands.sub;

import cn.dg32z.libs.org.jetbrains.annotations.NotNull;
import cn.dg32z.lon.PluginLoader;
import cn.dg32z.lon.checks.impl.combat.analysis.AnalysisA;
import cn.dg32z.lon.commands.AbstractCommand;
import cn.dg32z.lon.listener.packets.PacketPlayerAttack;
import cn.dg32z.lon.player.PlayerData;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import org.bukkit.Bukkit;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

/* loaded from: cn_dg32z_lon_commands_sub.jar:cn/dg32z/lon/commands/sub/Debug.class */
public final class Debug extends AbstractCommand {
    public Debug() {
        super("Toggle various debug types", "lonac.commands.debug", true);
    }

    public void execute(@NotNull Player sender, @NotNull String label, @NotNull String[] args) {
        if (args.length < 2) {
            sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.usage"));
            return;
        }
        String debugType = args[1].toLowerCase();
        boolean z = -1;
        switch (debugType.hashCode()) {
            case -1187479204:
                if (debugType.equals("mitigate")) {
                    z = true;
                    break;
                }
                break;
            case -1039745817:
                if (debugType.equals("normal")) {
                    z = false;
                    break;
                }
                break;
            case -1024445732:
                if (debugType.equals("analysis")) {
                    z = 7;
                    break;
                }
                break;
            case -603654910:
                if (debugType.equals("packetcancel")) {
                    z = 3;
                    break;
                }
                break;
            case -40300712:
                if (debugType.equals("rotating")) {
                    z = 6;
                    break;
                }
                break;
            case 3545755:
                if (debugType.equals("sync")) {
                    z = 4;
                    break;
                }
                break;
            case 1047561014:
                if (debugType.equals("crystal")) {
                    z = 8;
                    break;
                }
                break;
            case 1161234575:
                if (debugType.equals("prediction")) {
                    z = 5;
                    break;
                }
                break;
            case 1985396809:
                if (debugType.equals("setback")) {
                    z = 2;
                    break;
                }
                break;
        }
        switch (z) {
            case false:
                PluginLoader.INSTANCE.getAlertManager().toggleDebug(sender);
                return;
            case true:
                PluginLoader.INSTANCE.getAlertManager().toggleMitigateDebug(sender);
                return;
            case true:
                PluginLoader.INSTANCE.getAlertManager().toggleSetbackDebug(sender);
                return;
            case true:
                PluginLoader.INSTANCE.getAlertManager().togglePacketCancelDebug(sender);
                return;
            case true:
                PluginLoader.INSTANCE.getAlertManager().toggleSyncDebug(sender);
                return;
            case true:
                if (args.length < 3) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.usage"));
                    return;
                }
                Player targetPlayer = Bukkit.getPlayer(args[2]);
                if (targetPlayer == null) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[2]));
                    return;
                }
                PlayerData playerData = PluginLoader.INSTANCE.getPlayerDataManager().getPlayer(targetPlayer);
                if (playerData == null) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(targetPlayer, "not-data-user"));
                    return;
                } else {
                    playerData.getCheckManager().getMotionDebugHandler().toggleListener(sender);
                    return;
                }
            case true:
                if (args.length < 3) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.usage"));
                    return;
                }
                Player targetPlayer2 = Bukkit.getPlayer(args[2]);
                if (targetPlayer2 == null) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[2]));
                    return;
                }
                PlayerData playerData2 = PluginLoader.INSTANCE.getPlayerDataManager().getPlayer(targetPlayer2);
                if (playerData2 == null) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n(targetPlayer2, "not-data-user"));
                    return;
                } else {
                    playerData2.getCheckManager().getRotationDebugHandler().toggleListener(sender);
                    return;
                }
            case true:
                if (args.length < 3) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.usage"));
                    return;
                }
                Player targetPlayer3 = Bukkit.getPlayer(args[2]);
                if (targetPlayer3 == null) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[2]));
                    return;
                } else if (!AnalysisA.DEBUG_PLAYERS.contains(targetPlayer3.getName())) {
                    AnalysisA.DEBUG_PLAYERS.add(targetPlayer3.getName());
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.enable").replace("%type%", "analysis"));
                    return;
                } else {
                    AnalysisA.DEBUG_PLAYERS.remove(targetPlayer3.getName());
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.disable").replace("%type%", "analysis"));
                    return;
                }
            case true:
                if (args.length < 3) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.usage"));
                    return;
                }
                Player targetPlayer4 = Bukkit.getPlayer(args[2]);
                if (targetPlayer4 == null) {
                    sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("not-found").replace("%player%", args[2]));
                    return;
                } else {
                    PacketPlayerAttack.toggleCrystalDebug(targetPlayer4);
                    PluginLoader.INSTANCE.getAlertManager().toggleCrystalDebug(sender);
                    return;
                }
            default:
                sender.sendMessage(PluginLoader.INSTANCE.getMessageUtils().i18n("commands.debug.usage"));
                return;
        }
    }

    public List<String> tabCompleter(@NotNull CommandSender sender, @NotNull String label, @NotNull String[] args) {
        List<String> subCommands = List.of("normal", "mitigate", "setback", "packetcancel", "sync", "prediction", "rotating", "crystal", "analysis");
        if (args.length == 0) {
            return new ArrayList(subCommands);
        }
        if (args.length == 1) {
            return (List) subCommands.stream().filter(s -> {
                return s.toLowerCase().startsWith(args[0].toLowerCase());
            }).collect(Collectors.toList());
        }
        if (args.length == 2 && ("rotating".equalsIgnoreCase(args[0]) || "crystal".equalsIgnoreCase(args[0]) || "analysis".equalsIgnoreCase(args[0]) || "prediction".equalsIgnoreCase(args[0]))) {
            return (List) Bukkit.getOnlinePlayers().stream().map((v0) -> {
                return v0.getName();
            }).filter(name -> {
                return name.toLowerCase().startsWith(args[1].toLowerCase());
            }).collect(Collectors.toList());
        }
        return new ArrayList();
    }
}
